# Git Operations Tool

[![PyPI version](https://badge.fury.io/py/git-operations-tool.svg)](https://badge.fury.io/py/git-operations-tool)
[![Python versions](https://img.shields.io/pypi/pyversions/git-operations-tool.svg)](https://pypi.org/project/git-operations-tool/)
[![License](https://img.shields.io/pypi/l/git-operations-tool.svg)](https://opensource.org/licenses/MIT)
[![CI/CD](https://github.com/yourusername/git-operations-tool/actions/workflows/test.yml/badge.svg)](https://github.com/yourusername/git-operations-tool/actions)

A comprehensive Git operations tool with advanced features including:
- Auto commit and push files
- Branch management
- Pull requests (GitHub integration)
- Merge operations
- Git log viewing
- And many more Git features

## Installation

```bash
pip install git-operations-tool
```

## Usage

After installation, run the tool with:

```bash
git-ops
```

## Features

- **Auto commit and push**: Easily commit and push all files with one command
- **Branch management**: Create, list, checkout, and delete branches
- **Pull requests**: Create GitHub pull requests directly from the tool
- **Merge operations**: Merge branches with confidence
- **Status and logs**: View repository status and commit logs

## Development

To contribute or run from source:

```bash
git clone https://github.com/Idk507/git_operations_tool.git
cd git-operations-tool
pip install -e .
```

## License

MIT License - See [LICENSE](LICENSE) for details.